Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.geom.mesh
Class SuperEllipsoid

    java.lang.Object
      toxi.geom.mesh.SuperEllipsoid

All Implemented Interfaces:
  SurfaceFunction

    public class SuperEllipsoid

extends java.lang.Object
implements SurfaceFunction

Super ellipsoid surface evaluator based on code by Paul Bourke: http://local.wasp.uwa.edu.au/~pbourke/geometry/superellipse/

Constructor Summary
`SuperEllipsoid(float n1, float n2)`

Method Summary
`Vec3D` | `computeVertexFor(Vec3D p, float phi, float theta)`
`float` | `getPhiRange()`
`int` | `getPhiResolutionLimit(int res)`
`float` | `getThetaRange()`
`int` | `getThetaResolutionLimit(int res)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuperEllipsoid

    public SuperEllipsoid(float n1,
                          float n2)

Method Detail

### computeVertexFor

    public Vec3D computeVertexFor(Vec3D p,
                                  float phi,
                                  float theta)

  Specified by:
    `computeVertexFor` in interface `SurfaceFunction`

### getPhiRange

    public float getPhiRange()

  Specified by:
    `getPhiRange` in interface `SurfaceFunction`

### getPhiResolutionLimit

    public int getPhiResolutionLimit(int res)

  Specified by:
    `getPhiResolutionLimit` in interface `SurfaceFunction`

### getThetaRange

    public float getThetaRange()

  Specified by:
    `getThetaRange` in interface `SurfaceFunction`

### getThetaResolutionLimit

    public int getThetaResolutionLimit(int res)

  Specified by:
    `getThetaResolutionLimit` in interface `SurfaceFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD